
<div class="row">
  <div class="firstPillContainer" style="margin-top: 5px">
    <app-iotzen-pills [pillActiveColour]="'#6D7FCC'" [defaultActivePillIndex]="0" [arrayOfPills]="arrayOfTypePills"
                          (activePillValue)="getActivePillValue($event)"></app-iotzen-pills>
  </div>
  <div class="secondPillContainer" style="margin-top: 5px">
    <app-iotzen-pills [pillActiveColour]="'#6D7FCC'" [defaultActivePillIndex]="0" [arrayOfPills]="arrayOfStatusPills"
                          (activePillValue)="getActivePillValue($event)"></app-iotzen-pills>
  </div>
  <div class="buttonContainer" *ngIf="SUBJECT.ASSET| can:ACTIONS.WRITE">
      <!--<button *ngIf="nearByAssetsToBeSaved.length>0" class="btn btn-danger float-right active waves-light showRegisterExceptionBeconPopupBtn" mdbWavesEffect role="button" >Exception</button>
      <button *ngIf="nearByAssetsToBeSaved.length==0" type="button" class="btn btn-danger float-right" disabled>Exception</button>
      <button *ngIf="nearByAssetsToBeSaved.length>0" class="btn btn-primary float-right active waves-light " mdbWavesEffect
              data-toggle="modal" data-target="#fullHeightModalRight" role="button" >Register</button>
      <button *ngIf="nearByAssetsToBeSaved.length==0" type="button" class="btn btn-primary float-right" disabled>Register</button>-->
    <button mat-raised-button color="warn" *ngIf="nearByAssetsToBeSaved.length>0" class="float-right showRegisterExceptionBeconPopupBtn" >Exception</button>
    <button mat-raised-button color="warn" *ngIf="nearByAssetsToBeSaved.length==0" class="float-right" disabled>Exception</button>
    <button mat-raised-button color="primary" *ngIf="nearByAssetsToBeSaved.length>0" class="float-right MR10" mdbWavesEffect
            data-toggle="modal" data-target="#fullHeightModalRight" role="button" >Register</button>
    <button mat-raised-button color="primary" *ngIf="nearByAssetsToBeSaved.length==0" class="float-right MR10" disabled>Register</button>

  </div>
  <div class="refreshBtnContainer">
    <i id="refreshButton" class="zmdi zmdi-refresh"  matTooltip="Refresh" matTooltipPosition="after" (click)="getNearByAssets();"></i>
  </div>
</div>

<div *ngIf="isShowAsset">
  <app-loader></app-loader>
</div>

<div class="row">
  <div class="float-left col-sm-2 col-md-4 col-lg-8">
  </div>
  <div class="col-sm-10 col-md-8 col-lg-4">
    <p class="text-center last-refreshed-txt">Last Refreshed :<span> {{lastRefreshed | date:'medium'}}</span></p>
  </div>
</div>

<div class="row" style="margin-bottom: 20px">
  <div class="col-sm-12 col-md-12 col-lg-12 custom-control custom-checkbox" *ngIf="isNearByAssetFound && SUBJECT.ASSET| can:ACTIONS.WRITE">
    <input type="checkbox" class="custom-control-input" id="selectAllCheckbox" [(ngModel)]="selectedAll" (change)="selectAll();">
    <label class="custom-control-label" for="selectAllCheckbox"><span>Select All To Register</span></label>
  </div>
  <div class="col-sm-12 col-md-4 col-lg-3" *ngFor="let asset of allAssets | filter : searchForBeaconAndRftag">
    <app-asset-card-nearable [assetData]="asset" [assetDetailsAfterLinkingUpdated]="assetDetailsAfterLinkingUpdated" [isSelectAllClicked]="isSelectAll" (registerAssetDetails)="assetSelectedToSave($event)" (registeredAssetData)="registeredAssetDataToEdit($event)"></app-asset-card-nearable>
  </div>
</div>

<!-- Modal --><!-- Full Height Modal Right -->
<div class="modal fade right" id="fullHeightModalRight" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-full-height modal-right" role="document">
    <div class="modal-content">
      <div class="modal-header  d-flex justify-content-center">
        <h5 class="modal-title" id="exampleModalLabel">Select Group</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <div *ngFor="let group of allGroups" class="row waves-light btn group-pill"
               [ngStyle]="{'background-color':group.color}"
               [(ngModel)]="groupSelected" mdbRadio="{{group._id}}" mdbWavesEffect [ngClass]="{'group-pill-active':group._id === groupSelected}">
            <span>{{group.label}}</span>
            <span></span>
          </div>
  <!--</div>-->
      </div>
      <div class="modal-footer  d-flex justify-content-center">
        <button mat-raised-button color="warn" class="MR10" data-dismiss="modal" (click)="skipGroupSelection()">Skip</button>
        <button mat-raised-button color="accent" class="MR10" *ngIf="groupSelected" (click)="clearSelectedGroup()">Clear</button>
        <button mat-raised-button color="primary" data-dismiss="modal" (click)="saveRegisterAsset()">Register</button>
      </div>
    </div>
  </div>
</div>


<div><h3 *ngIf="allAssets.length === 0 && !isNearByAssetFound" class="asset-not-found"><span>&ldquo;</span>Near by assets not found<span>&rdquo;</span></h3></div>


<div *ngIf="showSlider"><app-right-sidebar [assetLinkedDetails]="assetLinkedDetails" [assetData]="registeredAssetDetailsToEdit" [assetConfigDetails]="assetConfigDetails"
                                           [isLinkDelinkAction]="linkDelinkAction" [isAssetDeregisteredSuccess]="isAssetDeregisteredSuccess"
                                           (linkAssetDetailsToMainComponent)="linkAsset($event)"
                                           (delinkAssetDetailsToMainComponent)="delinkAsset($event)"
                                           (syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"
                                           (deregisterAssetToMainComponent)="deregisterAsset($event)"></app-right-sidebar></div>

<app-alert-popup [selectedAssetToLinkCount]="selectedAssetToLinkCount" [assetRegisterErrorMsg]="assetRegisterErrorMessages" (confirmedDelink)="confirmedDelink($event)" (confirmedlink)="confirmedlink($event)"
                 (confirmedDeregisteringAsset)="confirmedDeregisteringAsset($event)" (confirmedRegisteringExceptionBeacons)="confirmedRegisteringExceptionBeacons($event)"></app-alert-popup>


<button class="btn showAssetRegisterErrorMsgBtn" id="assetRegisterErrorMsgBtn" style="display: none"></button>
<div class="messagePopup deregisterAssetSuccessfully">
  Deregistered Asset Successfully
</div>

<div class="messagePopup updatedAssetSuccessfully">
  Updated Asset Successfully
</div>
